.navbar {
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;
    background-color: #343a40;
}

body {
    padding-top: 70px;
}

.nav-link {
    position: relative;
}

.nav-link::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    display: block;
    margin-top: 5px;
    right: 0;
    background: #007bff;
    transition: width 0.3s ease;
    -webkit-transition: width 0.3s ease;
}

.nav-link:hover::after {
    width: 100%;
    left: 0;
    background: #007bff;
}

.card-body {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.card-title {
    margin-bottom: auto;
}

.card-text {
    margin-top: 15px;
    flex-grow: 1;
}

.shadow-img {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.animate-card {
    transition: transform 0.2s ease;
}

.animate-card:hover {
    transform: scale(1.05);
}

.section-transition {
    transition: padding 0.3s ease, margin 0.3s ease;
}

.section-title {
    font-size: 2.5rem;
    font-weight: 700;
    margin-bottom: 40px;
}

.section-title-black {
    color: #000;
}

.section-text {
    text-align: justify;
    margin-bottom: 1.5rem;
}

/* Kapcsolat kártyák */
.contact-card {
    border: none;
    background-color: #f8f9fa;
    border-radius: 10px;
}

.contact-card .card-title {
    font-size: 1.5rem;
    font-weight: 600;
}

.contact-card .card-text {
    font-size: 1.2rem;
}

.card-img-top {
    width: 100%;
    height: 250px;
    object-fit: cover; 
}

/* Helyszínek kártyák */
.location-card-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.location-card {
    background-color: #f8f9fa;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 15px;
    transition: box-shadow 0.2s ease;
    margin-bottom: 30px; /* Alsó margó a kártyák között */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; 
    text-align: center; 
    min-height: 300px; 
    box-sizing: border-box; 
}

.location-card:hover {
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.location-card .card-title {
    font-size: 1.5rem;
    font-weight: 600;
    margin-bottom: 10px;
}

.location-card .card-text {
    font-size: 1.1rem;
    margin-bottom: 10px; 
}

.location-card a i {
    font-size: 2rem; 
    margin-top: 10px; 
    align-self: center; 
}